use <rounded_screen_bottom_b.scad>

r = 35;
h = 20.32;
thickness = 2;

shield_bottom(r,h,thickness);
//sht25(r,thickness);

module shield_bottom(r,h,thickness){
	difference(){
		union(){
			difference(){
				cylinder(h=1.3*h,r=r/1.5,$fn=100);
				translate([0,0,thickness]){cylinder(h=1.3*h,r=r/1.5-thickness,$fn=100);}
			}
			difference(){
				translate([-r/1.5-thickness*2.5,0,10+(h-10)/2]){cube([6*thickness,thickness,h-10],center=true);}
				rotate([90,0,0]){translate([-r/1.5-thickness*2.5,11+(h-10)/2,0]){cylinder(h=4*thickness,r=1.6,center=true,$fn=100);}}
			}
			}
		union(){
			translate([-6,6,0]){cylinder(h=thickness*3,r=6,$fn=100,center=true);}
			translate([-10,-10,0]){cylinder(h=thickness*3,r=0.5,$fn=100,center=true);}
			translate([0,0,1.15*h+1]){cube([3*r/1.5,thickness,0.3*h+2],center=true);
											  cube([thickness,2*r/1.5,0.3*h+2],center=true);}
		}
	}

	rotate([0,0,45]){
		difference(){
			translate([0,-(sqrt(2*pow(r/1.6,2))+thickness)/4,thickness+5]){cube([10+2*thickness,2+2*thickness,10],center=true);}
			translate([0,-(sqrt(2*pow(r/1.6,2))+thickness)/4,thickness+30]){cube([10,2,60],center=true);}
		}
	}
	difference(){
		difference(){
			translate([-50-r/1.5,0,6]){cube([120,15,12],center=true);}
			cylinder(h=3*h,r=r/1.5-thickness,$fn=100,center=true);
		}
		translate([-140,0,0]){cylinder(h=3*20,r=10,center=true,$fn=100);}
	}
	translate([-140,0,0]){strap();}
}

module sht25(r,thickness){
	color("blue"){rotate([0,0,45]){translate([0,-(sqrt(2*pow(r/1.6,2))+thickness)/4,thickness+30]){cube([10,2,60],center=true);}}}
}